
I broke the L4&L5 vertebra while on duty with the Sheriff's Office causing me to have major back surgery. I had broken them so badly that after surgery I saw that I was cut from my naval to halfway down my left side to fix what couldn't be fixed going in through the back.

While lying there in the hospital, my brain decided to remember all my friends killed in Vietnam. After coming home, my physical and mental strength went down. In 2004 I went out to my car, put a gun to my head and cocked it. A voice, I believe God or an angel, told me to put it down because help would come. I was rated 100% disabled with PTSD by the Veterans Administration. I had been hurting more thn usual so I went to my pain doctor. After testing my nerves from my back down, he said major surgery was needed with a 50-50 chance of helping. I opted out of surgery. Afterwards, I got to where I very seldom went anywhere and would cancel any appointments that I had made. PTSD is a Monster.

On 12/16/2016, I decided God was tired of me hurting so much that it would be o.k. to take all my pain medications at once. I spread it out over 2 hours. I was convinced by the PTSD and the devil that God wanted me to come home this way. Even so, occasionally I would say, 'God, if this is a sin, please forgive me.' After I had taken all the pills, my brother walked in and asked me, 'What's happening?' I told him what I had done and he immediately took me to the emergency room, where I was immediately admitted.

That night something happened. I realized that I was floating down a long white corridor like a tunnel. I was moving towards the most beautiful white light that I had ever seen. It was so beautiful that our words cannot describe it. I was experiencing complete peace and tranquility with no fear or worry. Then I realized I had no body. In fact, my consciousness was floating slowly towards the beautiful light and I was ready to go. When I was very close to the light, I heard a noise behind me. I didn't know what was making the noise, nor did I care until I started floating back towards it. First I went back slowly, then it got faster.

Suddenly, my eyes flew opened and a nurses face was right there yelling,'Casey, answer me!' I said, 'Hi.' The nurses were all around me with a doctor looking over their shoulders. I still don't know what all these nurses were doing, but I was back. At first I was busy trying to figure out what had happened. Then I knew that I had died and apparently was approaching Heaven. I didn't tell anyone for a long time what had happened, because I kept going over it in my mind.
